# Namespace: module_net

## module_net

Éste módulo es el encargado de la gestión de los componentes de comunidad ecológica.

Source:
  - pede_net.js, line 2

### Methods

#### (private, static) ._initializeComponents()

Enlaza la funcionalidad de los componentes visuales de las secciones de comunidad ecológica.

Source:
  - pede_net.js, line 37

#### (static) .loadModules()

Método llamado después de que el módulo de internacionalización es configurado correctamente. Se inicializa el controlador y el módulo de variable.

Source:
  - pede_net.js, line 119

#### (static) .setUrlApi(url_api)

Método setter para la variable que almacena la URL del servidor.

##### Parameters:

Name | Type | Description
--- | --- | ---
`url_api` | string | URL del servidor

Source:
  - pede_net.js, line 156

#### (static) .setUrlComunidad(url_comunidad)

Método setter para la variable que almacena la URL de comunidad ecológica.

##### Parameters:

Name | Type | Description
--- | --- | ---
`url_comunidad` | string | URL del cliente en comunidad ecológica

Source:
  - pede_net.js, line 182

#### (static) .setUrlFront(url_front)

Método setter para la variable que almacena la URL del cliente.

##### Parameters:

Name | Type | Description
--- | --- | ---
`url_front` | string | URL del cliente

Source:
  - pede_net.js, line 169

#### (static) .startModule(tipo_modulo, verbose)

Inicializa las variables globales del modulo comunidad e inicializa el modulo de internacionalización.

##### Parameters:

Name | Type | Description
--- | --- | ---
`tipo_modulo` | string | Identificador del módulo 0 para nicho y 1 para comunidad
`verbose` | string | Bandera para desplegar modo verbose

Source:
  - pede_net.js, line 93